zcomet trigger zhooks agkozak/zhooks

zcomet load willghatch/zsh-saneopt
zcomet load mafredri/zsh-async
zcomet load romkatv/zsh-defer

export ZSHZ_CASE=smart
export ZSHZ_DATA="${ZSH_CACHE_DIR}/z"
zcomet load agkozak/zsh-z

if [[ "$DISPLAY" != '' ]] && command -v xdotool > /dev/null 2>&1 &&  command -v wmctrl > /dev/null 2>&1; then
	zstyle ':notify:*' expire-time 5000
	zstyle ':notify:*' command-complete-timeout 20
	zstyle ':notify:*' enable-on-ssh yes
	zcomet load marzocchi/zsh-notify
fi
if command -v peco > /dev/null 2>&1; then
	zcomet load jimeh/zsh-peco-history
fi

zcomet load ohmyzsh plugins/autojump
zcomet load ohmyzsh plugins/command-not-found
zcomet load ohmyzsh plugins/common-aliases
zcomet load ohmyzsh plugins/debian
zcomet load ohmyzsh plugins/isodate
zcomet load ohmyzsh plugins/nmap
zcomet load ohmyzsh plugins/rsync
zcomet load ohmyzsh plugins/systemadmin
zcomet load ohmyzsh plugins/web-search
zcomet load brymck/print-alias

if command -v fzf > /dev/null 2>&1; then
	zcomet load junegunn/fzf shell completion.zsh key-bindings.zsh
	(( ${+commands[fzf]} )) || ~[fzf]/install --bin
fi
if command -v git > /dev/null 2>&1; then
	GIT_AUTO_FETCH_INTERVAL=3600
	zcomet load ohmyzsh plugins/git
	zcomet load ohmyzsh plugins/gitfast
	zcomet load ohmyzsh plugins/git-auto-fetch
	zcomet load ohmyzsh plugins/git-extras
	zcomet load ohmyzsh plugins/github
	zcomet load paulirish/git-open
fi
if command -v grc > /dev/null 2>&1; then
	zcomet load ohmyzsh plugins/grc
fi
if command -v psql > /dev/null 2>&1; then
	zcomet load ohmyzsh plugins/postgres
fi
if command -v sudo > /dev/null 2>&1; then
	zcomet load ohmyzsh plugins/sudo
fi
if command -v systemctl > /dev/null 2>&1; then
	zcomet load ohmyzsh plugins/systemd
fi
if command -v vim > /dev/null 2>&1; then
	zcomet load ohmyzsh plugins/vim-interaction
fi
if command -v tmux > /dev/null 2>&1; then
	zcomet load ohmyzsh plugins/tmux
	zstyle ':prezto:module:tmux:auto-start' local 'no'
	zstyle ':prezto:module:tmux:auto-start' remote 'yes'
	zstyle ':prezto:module:tmux:session' name "$(hostname)"
	zcomet load laggardkernel/zsh-tmux
	zcomet snippet https://github.com/jreese/zsh-titles/blob/master/titles.plugin.zsh
fi
if command -v kitty > /dev/null 2>&1; then
	zcomet load redxtech/zsh-kitty
fi

